Index: code/trunk/data/levels/includes/CuboidSpaceStation.lua
===================================================================
--- code/trunk/data/levels/includes/CuboidSpaceStation.lua	(revision 6929)
+++ code/trunk/data/levels/includes/CuboidSpaceStation.lua	(revision 7163)
@@ -329,5 +329,5 @@
 -- Insert the SatelliteDish.
 topPartsIndex[2]=8
-bodyParts[topPartsIndex[2]][0][0][0][4]="SatelliteDish.mesh"
+bodyParts[topPartsIndex[2]][0][0][0][4]="satellitedish.mesh"
 bodyParts[topPartsIndex[2]][0][0][0][5]="pitch=-90"
 bodyParts[topPartsIndex[2]][0][0][0][8]="rotationaxis=\"0,1,0\" rotationrate=5"
Index: code/trunk/data/levels/includes/pickups.oxi
===================================================================
--- code/trunk/data/levels/includes/pickups.oxi	(revision 6929)
+++ code/trunk/data/levels/includes/pickups.oxi	(revision 7163)
@@ -1,2 +1,37 @@
+
+<!-- Shield pickups -->
+
+<PickupRepresentation
+    pickupName = "Small Shield Pickup"
+    pickupDescription = "Gives you a small-sized shield for 30 seconds."
+    inventoryRepresentation = "SmallShield"
+    spawnerTemplate = "smallshieldpickupRepresentation"
+>
+    <pickup>
+        <ShieldPickup template=smallshieldpickup />
+    </pickup>
+</PickupRepresentation>
+
+<PickupRepresentation
+    pickupName = "Medium Shield Pickup"
+    pickupDescription = "Gives you a medium-sized shield for 30 seconds."
+    inventoryRepresentation = "MediumShield"
+    spawnerTemplate = "mediumshieldpickupRepresentation"
+>
+    <pickup>
+        <ShieldPickup template=mediumshieldpickup />
+    </pickup>
+</PickupRepresentation>
+
+<PickupRepresentation
+    pickupName = "Huge Shield Pickup"
+    pickupDescription = "Gives you a big shield for 60 seconds."
+    inventoryRepresentation = "HugeShield"
+    spawnerTemplate = "hugeshieldpickupRepresentation"
+>
+    <pickup>
+        <ShieldPickup template=hugeshieldpickup />
+    </pickup>
+</PickupRepresentation>
 
 <!-- Health pickups -->
@@ -73,7 +108,8 @@
 
 <PickupRepresentation
-    name = "Small Speed Boost"
-    description = "Multiplies Speed of the Ship by a small amount."
+    pickupName = "Small Speed Boost"
+    pickupDescription = "Multiplies Speed of the Ship by a small amount."
     spawnerTemplate = "smallspeedpickupRepresentation"
+    inventoryRepresentation = "SmallSpeed"
 >
     <pickup>
@@ -83,7 +119,8 @@
 
 <PickupRepresentation
-    name = "Medium Speed Boost"
-    description = "Multiplies Speed of the Ship by a bigger amount."
+    pickupName = "Medium Speed Boost"
+    pickupDescription = "Multiplies Speed of the Ship by a bigger amount."
     spawnerTemplate = "mediumspeedpickupRepresentation"
+    inventoryRepresentation = "MediumSpeed"
 >
     <pickup>
@@ -93,7 +130,8 @@
 
 <PickupRepresentation
-    name = "Huge Speed Boost"
-    description = "Multiplies Speed of the Ship by a huge amount."
+    pickupName = "Huge Speed Boost"
+    pickupDescription = "Multiplies Speed of the Ship by a huge amount."
     spawnerTemplate = "hugespeedpickupRepresentation"
+    inventoryRepresentation = "HugeSpeed"
 >
     <pickup>
@@ -103,7 +141,8 @@
 
 <PickupRepresentation
-    name = "Small Jump Boost"
-    description = "Boosts the Ship with a massive amount for a very short time."
+    pickupName = "Small Jump Boost"
+    pickupDescription = "Boosts the Ship with a massive amount for a very short time."
     spawnerTemplate = "smalljumppickupRepresentation"
+    inventoryRepresentation = "SmallSpeed"
 >
     <pickup>
@@ -115,7 +154,8 @@
 
 <PickupRepresentation
-    name = "small Invisibility"
-    description = "Makes you invisible for 5 seconds."
+    pickupName = "Small Invisibility"
+    pickupDescription = "Makes you invisible for 5 seconds."
     spawnerTemplate = "smallinvisiblepickupRepresentation"
+    inventoryRepresentation = "SmallInvisible"
 >
     <pickup>
@@ -125,7 +165,8 @@
 
 <PickupRepresentation
-    name = "medium Invisibility"
-    description = "Makes you invisible for 10 seconds."
+    pickupName = "Medium Invisibility"
+    pickupDescription = "Makes you invisible for 10 seconds."
     spawnerTemplate = "mediuminvisiblepickupRepresentation"
+    inventoryRepresentation = "MediumInvisible"
 >
     <pickup>
@@ -135,7 +176,8 @@
 
 <PickupRepresentation
-    name = "hunge Invisibility"
-    description = "Makes you invisible for 20 seconds."
+    pickupName = "Huge Invisibility"
+    pickupDescription = "Makes you invisible for 20 seconds."
     spawnerTemplate = "hugeinvisiblepickupRepresentation"
+    inventoryRepresentation = "HugeInvisible"
 >
     <pickup>
@@ -147,5 +189,5 @@
 
 <PickupRepresentation
-    pickupName = "Triple Pickup"
+    pickupName = "Tri Pickup"
     pickupDescription = "Adds health, speed and invisibility."
     spawnerTemplate = "triplehealthspeedinvisibilitypickupRepresentation"
@@ -156,2 +198,14 @@
 </PickupRepresentation>
 
+<!-- Drone Pickup -->
+
+<PickupRepresentation
+    pickupName = "Drone Pickup"
+    pickupDescription = "Adds a Drone to the Players Spaceship"
+    spawnerTemplate = "dronepickupRepresentation"
+>
+    <pickup>
+        <DronePickup template=dronepickup />
+    </pickup>
+</PickupRepresentation>
+
Index: code/trunk/data/levels/includes/weaponsettings3.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings3.oxi	(revision 6929)
+++ code/trunk/data/levels/includes/weaponsettings3.oxi	(revision 7163)
@@ -8,4 +8,5 @@
       <WeaponSet firemode=1 />
       <WeaponSet firemode=2 />
+      <WeaponSet firemode=3 />
     </weaponsets>
     <weapons>
@@ -15,15 +16,15 @@
           <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
           <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
         </links>
         <Weapon>
           <attached>
-            <Model mesh="LightningGun.mesh" pitch="78" roll="90" yaw="90" position="0,-1.3,0" />
+            <Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="0,-1.3,0" />
             <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" />
-            <Model mesh="hs-w01.mesh" roll="195" position="0,1,0" scale=2 />
-            <Model mesh="hs-w01s.mesh" roll="195" position="0.1,0.5,0" scale=2 />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.7, 1.5,-4" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     material="Flares/point_lensflare" muzzleoffset="-0.9, 1.1,-4" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
         </Weapon>
         <Weapon>
@@ -31,13 +32,13 @@
             <Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" />
             <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" />
-            <Model mesh="hs-w01.mesh" roll="165" position="0,1,0" scale=2 />
-            <Model mesh="hs-w01s.mesh" roll="165" position="-0.1,0.5,0" scale=2 />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     material="Flares/point_lensflare" muzzleoffset=" 0.9, 1.1, -4.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.7, 1.5, -4.0" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
         </Weapon>
         <Weapon>
-          <RocketFire mode=2 muzzleoffset="0,0,0" />
+          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=50 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=100 />
         </Weapon>
       </WeaponPack>
Index: code/trunk/data/levels/includes/weaponsettings_H2.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings_H2.oxi	(revision 6929)
+++ code/trunk/data/levels/includes/weaponsettings_H2.oxi	(revision 7163)
@@ -18,6 +18,6 @@
             <Model mesh="hs-w01s.mesh" roll="180" position="0.1, 0.0, 0.0" scale=2 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9,-4" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9,-4" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9,-4" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=2.5 material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9,-4" />
         </Weapon>
         <Weapon>
@@ -26,6 +26,6 @@
             <Model mesh="hs-w01s.mesh" roll="180" position="-0.1, 0.0, 0.0" scale=2 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9, -4.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9, -4.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9, -4.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9, -4.0" />
         </Weapon>
       </WeaponPack>
Index: code/trunk/data/levels/includes/weaponsettings_HXY.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings_HXY.oxi	(revision 6929)
+++ code/trunk/data/levels/includes/weaponsettings_HXY.oxi	(revision 7163)
@@ -14,11 +14,11 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0 material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0.1 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
           <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0  material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0.1 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
           <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
Index: code/trunk/data/levels/includes/weaponsettings_fps.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings_fps.oxi	(revision 7163)
+++ code/trunk/data/levels/includes/weaponsettings_fps.oxi	(revision 7163)
@@ -0,0 +1,49 @@
+    <weaponslots>
+      <WeaponSlot position="0,0,0" yaw=0 pitch=0 roll=0 />
+ <!--      <WeaponSlot position="-0.5,0.8,2.5" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="15,-1.5,-25" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="0,0,-45" yaw=0 pitch=0 roll=0 /> -->
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack firemode=0>
+	<links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+        </links>
+	<Weapon>
+	   <HsW01 mode=0 munitionpershot=0 delay=0.0 material="Flares/point_lensflare" muzzleoffset=" 0.7, -0.3, -3" />
+           <LightningGun mode=1 muzzleoffset="0,0,0" />
+        </Weapon>
+        <LaserGun
+            position="0,0,0"
+            munitionType="LaserGunMunition"
+            bulletLoadingTime="0.2"
+            magazineLoadingTime="5.0"
+            speed="1000"
+            unlimitedMunition=true
+        />
+  <!--       <LaserGun
+            position="0,0,0"
+            munitionType="LaserGunMunition"
+            bulletLoadingTime="0.2"
+            magazineLoadingTime="5.0"
+            speed="1250"
+            unlimitedMunition=true
+        />
+      </WeaponPack>
+      <WeaponPack firemode=1>
+        <Fusion
+            position="0,0,0"
+            munitionType="FusionMunition"
+            bulletLoadingTime="0.3"
+            magazineLoadingTime="3"
+            speed="600"
+            unlimitedMunition=true
+        /> -->
+      </WeaponPack>
+    </weapons>
Index: code/trunk/data/levels/includes/weaponsettings_ghost.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings_ghost.oxi	(revision 6929)
+++ code/trunk/data/levels/includes/weaponsettings_ghost.oxi	(revision 7163)
@@ -14,11 +14,11 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0 material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
           <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0  material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 damage=2.5 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
           <LightningGun mode=1 muzzleoffset="0,0,0" />
         </Weapon>
Index: code/trunk/data/levels/includes/weaponsettings_pirate.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponsettings_pirate.oxi	(revision 6929)
+++ code/trunk/data/levels/includes/weaponsettings_pirate.oxi	(revision 7163)
@@ -14,10 +14,10 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=2.5 material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=2.5 material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
         </Weapon>
       </WeaponPack>
